package nxm.mytestopt1.prim;

import nxm.sys.lib.*;
import nxm.sys.prim.*;


import javax.swing.*;


/**  Test a bean that hangs upon closing.
     This class added to test Bug 2686: MidasBean / Command / BaseFile: BaseFile.waitForFile() ...
     @author J Nuanes 
     @since NeXtMidas 3.3.0
 */
public class testbeanpipehangprim extends Primitive {
  
  @Override
  public int open () {
    BaseFile bf = BaseFile.getInstanceFor(this, "_hello");  // non-existent resource
    bf.open();
      
    return super.open();
  }
  
}